<?php 

include_once("_dirinfo.php");

?>
 var Server_Update = new Ext.FormPanel({
        labelWidth: 110, // label settings here cascade unless overridden
        url: 'webcati/_ajax/liveUpdate/ajax.WarpitSettingsForm.php',
        frame:false,
        closable:true,
        title: 'Warpit Server Update',
        bodyStyle:'padding:5px',
        defaults: {width: 230},
        defaultType: 'textfield',

        items: [{
                fieldLabel: 'Server Address',
                name: 'warpit_server_www',
                  listeners: {
                	
                	change : function() {
                		Server_Update.getForm().submit({
		            		params: { action: 'save' }
		            		
		            	})
                		
                	} 
                
                }
            },{
                fieldLabel: 'License Key',
                name: 'warpit_license_key',
                listeners: {
                	
                	change : function() {
                		Server_Update.getForm().submit({
		            		params: { action: 'save' }
		            	
		            	})
                		
                	} 
                
                }
            }
        ]
        
        
    });
Server_Update.getForm().load({ params: { action: 'load'}}); 
mainTabPanel.add(Server_Update).show();
